﻿package 
{
	// 
	// Import packages here
	import flash.display.*;
	import flash.events.*;
	import flash.media.*;
	//
	public class Navigation extends MovieClip
	{
		// 
		// Declear class variables and constants
		const NavHorPos:uint = 430;

		var TechBeepObj:snd_TechBeep = new snd_TechBeep;
		
		var StartObj:Start_btn = new Start_btn;
		var HowObj:How_btn = new How_btn;
		var GameObj:Game_btn = new Game_btn;
		var LoserObj:Loser_btn = new Loser_btn;
		var WinnerObj:Winner_btn = new Winner_btn;
		
		public function Navigation():void
		{
			//trace ("Navigation started");
			//
			StartObj.x = 120;
			StartObj.y = NavHorPos;
			StartObj.name = "Start";
			addChild(StartObj);
			//
			HowObj.x = 220;
			HowObj.y = NavHorPos;
			HowObj.name = "How2Play";
			addChild(HowObj);
			//
			GameObj.x = 320;
			GameObj.y = NavHorPos;
			GameObj.name = "Game";
			addChild(GameObj);
			//
			LoserObj.x = 420;
			LoserObj.y = NavHorPos;
			LoserObj.name = "Loser";
			addChild(LoserObj);
			//
			WinnerObj.x = 520;
			WinnerObj.y = NavHorPos;
			WinnerObj.name = "Winner";
			addChild(WinnerObj);
			//
			StartObj.addEventListener(MouseEvent.CLICK,Jump2Where);
			HowObj.addEventListener(MouseEvent.CLICK,Jump2Where);
			GameObj.addEventListener(MouseEvent.CLICK,Jump2Where);
			LoserObj.addEventListener(MouseEvent.CLICK,Jump2Where);
			WinnerObj.addEventListener(MouseEvent.CLICK,Jump2Where);
		}/* END Navigation */

		public function Jump2Where(event:MouseEvent):void
		{
			//trace ("Jump2Where");
			//
			var vCurrentBtnName:String = event.currentTarget.name;
			trace(vCurrentBtnName);
			gotoAndPlay(vCurrentBtnName);
			// 
			// Play sound effect
			TechBeepObj.play();
			//
			// Remove button
			if (vCurrentBtnName == "Game") {
				removeChild(StartObj);
				removeChild(HowObj);
				removeChild(GameObj);
				removeChild(LoserObj);
				removeChild(WinnerObj);
			}
			
		}/* END Jump2Where */
		
		public function DisplayAllButtons():void
		{
				addChild(StartObj);
				addChild(HowObj);
				addChild(GameObj);
				addChild(LoserObj);
				addChild(WinnerObj);			
		}

	}/* END public class */

}/* END package */